org.red5.io.mp3.impl

## Class MP3Service

- java.lang.Object
- - org.red5.io.BaseStreamableFileService
  - - org.red5.io.mp3.impl.MP3Service

All Implemented Interfaces:
  IStreamableFileService, IMP3Service

    public class MP3Service
    extends BaseStreamableFileService
    implements IMP3Service

Streamable file service extension for MP3

### Constructor Summary

Constructors
Constructor and Description
`MP3Service()`

### Method Summary

Methods
`String` `getExtension()` Getter for extension of file
`String` `getPrefix()` Getter for prefix.
`IStreamableFile` `getStreamableFile(File file)` Return streamable file reference.

### Methods inherited from class org.red5.io.BaseStreamableFileService

`canHandle, prepareFilename, setExtension, setPrefix`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.red5.io.IStreamableFileService

`canHandle, prepareFilename, setExtension, setPrefix`

### Constructor Detail

#### MP3Service

    public MP3Service()

### Method Detail

#### getPrefix

    public String getPrefix()

Getter for prefix. Prefix is used in filename composition to fetch real file name.

Specified by:
  `getPrefix` in interface `IStreamableFileService`
Specified by:
  `getPrefix` in class `BaseStreamableFileService`
Returns:
  Prefix

#### getExtension

    public String getExtension()

Getter for extension of file

Specified by:
  `getExtension` in interface `IStreamableFileService`
Specified by:
  `getExtension` in class `BaseStreamableFileService`
Returns:
  File extension that is used

#### getStreamableFile

    public IStreamableFile getStreamableFile(File file)
                                      throws IOException

Return streamable file reference. For FLV files returned streamable file already has generated metadata injected.

Specified by:
  `getStreamableFile` in interface `IStreamableFileService`
Specified by:
  `getStreamableFile` in class `BaseStreamableFileService`
Parameters:
  `file` - File resource
Returns:
  Streamable file resource
Throws:
  `IOException` - Thrown if there were problems accessing given file